Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.joseki.server
Class ProcessorRegistry

    java.lang.Object
      org.joseki.server.ProcessorRegistry

public class ProcessorRegistry
extends java.lang.Object

Registry for operation processors.

Version:
  $Id: ProcessorRegistry.java,v 1.4 2004/04/30 14:13:13 andy_seaborne Exp $
Author:
  Andy Seaborne

Constructor Summary
`ProcessorRegistry()`

Method Summary
`Processor` | `findProcessor(java.lang.String opName)`
`QueryProcessor` | `findQueryProcessor(java.lang.String queryLanguageName)`
`boolean` | `hasProcessor(java.lang.String opName)`
`boolean` | `hasQueryProcessor(java.lang.String queryLanguageName)`
`void` | `registerProcessor(java.lang.String shortName, Processor processor)`
`void` | `registerQueryProcessor(java.lang.String langName, QueryProcessor queryProcessor)`
`void` | `remove(Processor processor)`
`void` | `remove(QueryProcessor queryProcessor)`
`void` | `toRDF(com.hp.hpl.jena.rdf.model.Model optModel, com.hp.hpl.jena.rdf.model.Resource optionRes)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProcessorRegistry

    public ProcessorRegistry()

Method Detail

### hasProcessor

    public boolean hasProcessor(java.lang.String opName)

### hasQueryProcessor

    public boolean hasQueryProcessor(java.lang.String queryLanguageName)

### findProcessor

    public Processor findProcessor(java.lang.String opName)

### findQueryProcessor

    public QueryProcessor findQueryProcessor(java.lang.String queryLanguageName)

### registerProcessor

    public void registerProcessor(java.lang.String shortName,
                                  Processor processor)

### registerQueryProcessor

    public void registerQueryProcessor(java.lang.String langName,
                                       QueryProcessor queryProcessor)

### remove

    public void remove(Processor processor)

### remove

    public void remove(QueryProcessor queryProcessor)

### toRDF

    public void toRDF(com.hp.hpl.jena.rdf.model.Model optModel,
                      com.hp.hpl.jena.rdf.model.Resource optionRes)
               throws com.hp.hpl.jena.rdf.model.RDFException

  Throws:
    `com.hp.hpl.jena.rdf.model.RDFException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Hewlett-Packard. All Rights Reserved.